| Home | Libraries | People | FAQ | More

## Type definition expression_ref

expression_ref

## Synopsis

    // In header: <boost/yap/algorithm_fwd.hpp>

    typedef expr_template< expr_kind::expr_ref, hana::tuple< std::remove_reference_t< T > * > > expression_ref;

## Description

A convenience alias for a reference expression holding an expression T, instantiated from expression template expr_template.